<?php
/**
 * Joomla! 1.5 component Cu3er
 *
 * @version $Id: view.html.php 2011-04-12 05:17:53 svn $
 * @author Tibor Németh
 * @package Joomla
 * @subpackage Cu3er
 * @license GNU/GPL
 *
 * Cu3er component for Joomla 1.5
 *
 * This component file was created using the Joomla Component Creator by Not Web Design
 * http://www.notwebdesign.com/joomla_component_creator/
 *
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Import Joomla! libraries
jimport( 'joomla.application.component.view');

class Cu3erViewXMLUpdate extends JView {
	
	function display($tpl = null) {

		// setting up toolbar buttons (at the right)
		JToolBarHelper::title('CU3ER :: ' . JText::_('COM_CU3ER_UPDATE_SLIDESHOW_WITH_XML_FILE'), 'generic.png');
		JToolBarHelper::save();
		JToolBarHelper::cancel();

		// setting import type (file, URL) of CU3ER package file
		$importtype = JRequest::getVar('importtype', 'file');

		// setting import state (0: not uploaded yet, 1: uploaded)
		$state = JRequest::getInt('state', 0);

		// setting the displaying of URL and file HTML elements (according to importtype)
		$display_url = ($importtype != 'url')?'style="display: none"':'';
		$display_file = ($importtype != 'file')?'style="display: none"':'';

		// setting the state of file uploader input field
		$enabled = ($state > 0)?'disabled="disabled"':'';

		// setting the options of importtype dropdown menu
		$options = array(
			JHTML::_('select.option', 'file', JText::_('COM_CU3ER_UPDATE_FROM_FILE')),
			JHTML::_('select.option', 'url', JText::_('COM_CU3ER_UPDATE_FROM_URL_REMOTE_XML')),
		);

		// generating importtype dropdown menu HTML element		
		$importtype_list = JHTML::_('select.genericlist', $options, 'importtype', 'id="importtype" onchange="javascript:setImportType(this.value)" ' . $enabled, 'value', 'text', $importtype);

		// assigning variables to the template (tmpl/default.php)
		$this->assignRef('importtype', $importtype_list);
		$this->assignRef('display_url', $display_url);
		$this->assignRef('display_file', $display_file);
		$this->assignRef('enabled', $enabled);

		parent::display($tpl);			
	}
}
?>
